Debian DSA-4242-1 : ruby-sprockets - security update

Medium Nessus Plugin ID 110968

Synopsis

The remote Debian host is missing a security-related update.

Description

Orange Tsai discovered a path traversal flaw in ruby-sprockets, a Rack-based asset packaging system. A remote attacker can take advantage of this flaw to read arbitrary files outside an application's root directory via specially crafted requests, when the Sprockets server is used in production.

Solution

Upgrade the ruby-sprockets packages.

For the stable distribution (stretch), this problem has been fixed in version 3.7.0-1+deb9u1.

See Also

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=901913

http://www.nessus.org/u?e0c4015a

https://packages.debian.org/source/stretch/ruby-sprockets

https://www.debian.org/security/2018/dsa-4242

Plugin Details

Severity: Medium

ID: 110968

File Name: debian_DSA-4242.nasl

Version: 1.5

Type: local

Agent: unix

Published: 2018/07/10

Modified: 2018/11/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:ruby-sprockets, cpe:/o:debian:debian_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 2018/07/09

Reference Information

CVE: CVE-2018-3760

DSA: 4242